MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029406Open CASCADE[OCCT] OCCT:Foundation Classespublic2017-12-29 13:512018-01-18 20:50
Reporterabv 
Assigned Tomsv 
PrioritynormalSeverityminor 
StatusresolvedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0*Fixed in Version 
Summary0029406: Foundation Classes - gp_Ax3 fails setting direction
DescriptionThe following simple code fails due to stupid implementation of gp_Ax3 which does not check that newly set direction is parallel to currently set X direction, and tries to use their cross product to define new Y:

gp_Ax3 anAx;
anAx.SetDirection (gp::DX());

The same occurs with construction from gp_Ax1:

gp_Ax1 anAx1 (gp::Origin(), gp::DX());
anAx.SetAxis (anAx1);
Steps To Reproduce.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0073368)
git (administrator)
2018-01-11 19:03

Branch CR29406 has been created by isn.

SHA-1: 7f911703334699158a648a55bb13648fe862593e


Detailed log of new commits:

Author: isn
Date: Thu Jan 11 19:03:03 2018 +0300

    0029406: Foundation Classes - gp_Ax3 fails setting direction
    
    Avoid exception in gp_Ax3::SetDirection(), SetAxis(): check if XDir of Ax3 is parallel to newly given direction.
(0073433)
isn (developer)
2018-01-16 14:05
edited on: 2018-01-16 14:05

/view/CR29406-master-isn/view/COMPARE/

(0073460)
msv (developer)
2018-01-17 11:42

Please rebase the branch on current master and re-test. The commit must be based on master only (not on 28642 fix).
(0073464)
git (administrator)
2018-01-17 12:41

Branch CR29406 has been updated forcibly by isn.

SHA-1: af061f95c6a6e94dbdde77558332f25b870f95b8
(0073468)
msv (developer)
2018-01-17 13:00

tests/bugs/fclasses/bug29406
- Add standard header into the test script.

src/gp/gp_Ax3.lxx
- 47,71: move this definition to the scope where it is used.

src/QABugs/QABugs_20.cxx
- 2803: set negative DX.
- Eliminate code duplication by defining a new function that makes needed checks and puts error in cout. No need to return 1 for the test became failure.
- Add checking of the fact that direction in the object has the value that has been just set.
(0073496)
git (administrator)
2018-01-18 17:06

Branch CR29406 has been updated by isn.

SHA-1: 9212f218bf2a24e3f668ca5f9d2b999b029bb461


Detailed log of new commits:

Author: isn
Date: Thu Jan 18 17:06:04 2018 +0300

    corrections


- Issue History
Date Modified Username Field Change
2017-12-29 13:51 abv New Issue
2017-12-29 13:51 abv Assigned To => abv
2018-01-09 14:36 abv Description Updated View Revisions
2018-01-09 14:37 abv Description Updated View Revisions
2018-01-10 16:57 abv Assigned To abv => isn
2018-01-10 16:57 abv Status new => assigned
2018-01-11 19:03 git Note Added: 0073368
2018-01-16 14:05 isn Note Added: 0073433
2018-01-16 14:05 isn Assigned To isn => msv
2018-01-16 14:05 isn Status assigned => resolved
2018-01-16 14:05 isn Steps to Reproduce Updated View Revisions
2018-01-16 14:05 isn Note Edited: 0073433 View Revisions
2018-01-17 11:42 msv Note Added: 0073460
2018-01-17 11:42 msv Assigned To msv => isn
2018-01-17 11:42 msv Status resolved => assigned
2018-01-17 12:41 git Note Added: 0073464
2018-01-17 13:00 msv Note Added: 0073468
2018-01-18 17:06 git Note Added: 0073496
2018-01-18 20:50 isn Assigned To isn => msv
2018-01-18 20:50 isn Status assigned => resolved


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker